## helma.framework
Interface IPathElement

All Known Subinterfaces:
  INode

All Known Implementing Classes:
  Node, SimplePathElement, TransientNode

    public interface IPathElement

Interface that objects need to implement to build a Helma URL tree. Apart from methods to retrieve the identifier and its child and parent elements, this interface defines a method that determines which prototype to use to add scripts and skins to an object.

Please note that this interface is still work in progress. You should expect it to get some additional methods that allow for looping through child elements, for example, or retrieving the parent element.

Method Summary
`IPathElement` `getChildElement(java.lang.String name)` Retrieve a child element of this object by name.
`java.lang.String` `getElementName()` Return the name to be used to get this element from its parent
`IPathElement` `getParentElement()` Return the parent element of this object.
`java.lang.String` `getPrototype()` Get the name of the prototype to be used for this object.

Method Detail

### getElementName

    java.lang.String getElementName()

  Return the name to be used to get this element from its parent

### getChildElement

    IPathElement getChildElement(java.lang.String name)

  Retrieve a child element of this object by name.

### getParentElement

    IPathElement getParentElement()

  Return the parent element of this object.

### getPrototype

    java.lang.String getPrototype()

  Get the name of the prototype to be used for this object. This will determine which scripts, actions and skins can be called on it within the Helma scripting and rendering framework.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.